# Atelier Yumia: The Alchemist of Memories & the Envisioned Land 1.2.1
# BID: 3B2CB1C8865E7B1E

MASTER_WRITE:
  # Redirect DR to MAIN + 0x2F4CFF0
  # REF: A9 24 89 52 49 A2 A7 72, second REF
  -
    type: bytes
    main_offset: 0x10B2424
    value_type: uint32
    value:
      - 0xD000F4C9 # adrp x9, 0x2F4C000
      - 0xBD4FF121 # ldr s1, [x9, 0xFF0]
      - 0xD503201F # nop
  ## Default value
  -
    type: bytes
    main_offset: 0x2F4CFF0
    value_type: float
    value: 0.035714
ALL_FPS:
  # Disable FPS Lock
  # REF: 88 46 40 F9 03 11 40 F9, first ADRP+LDR above it
  -
    type: write
    address: [MAIN, 0x2F13D80, 0xE0, 0x284]
    address_unsafe: true
    value_type: uint8
    value: 0
  # DR Target
  -
    type: evaluate_write
    address: [MAIN, 0x2F4CFF0]
    value_type: float
    value: "1.01 / FPS_TARGET"
